Bug 1753696

Summary: Make the mariadb image smaller
Product: [Fedora] Fedora Container Images Reporter: Honza Horak <hhorak>
Component: mariadbAssignee: Honza Horak <hhorak>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: asamalik, cleaver-redhat, hhorak, praiskup, tdawson
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-25 15:06:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1734342    

Description Honza Horak 2019-09-19 15:19:46 UTC
Description of problem:
Troy raised interesting points through mail, that we should take closer look:

Hello,
Adam and I are on the Fedora Minimization team.[1]  One of the things
we are doing is looking at a few key containers to figure out how/if
we can get them smaller.
I've been going through the mariadb container and found two main ways
we could make it smaller.

1 - remove systemd from the container.
It has already been approved [2] that packages no longer *have* to
require systemd just because they have .service files.  It has already
been removed as a dependency of dnf, and because of that, the F31 and
Rawhide images are already over 60M smaller.[3]
mariadb-server depends on systemd, and thus, it's pulling that 60M
back in.  I've looked, and I believe systemd can safely be removed as
a dependency.

2 - remove perl
This is a little more complicated.  It depends on your vision for the
mariadb container.
I saw that you moved all of your server perl scripts to
mariadb-server-utils.  That is great.  But the problem is that mariadb
has a couple of perl scripts as well, and mariadb-server depends on
mariadb.
If you feel that mariadb-server-utils are an important part of the
container, then we can just let things be.
If not, then the next question is, whether you feel mariadb (the
client tools) are an important part of the container.  If you feel
they are, then we ask the question whether the two perl scripts in it
can be put into a -utils sub-package.

There is also the mariadb-server-backup, thats fairly big as well.
But again, it depends on what your vision of the mariadb container is.

What are your thoughts and ideas.

Troy Dawson

[1] - https://docs.fedoraproject.org/en-US/minimization/
[2] - https://pagure.io/packaging-committee/pull-request/890
[3] - https://minimization.github.io/reports/report-base-releases--fedora-container-base.html

Comment 1 Ben Cotton 2020-02-11 16:44:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Program Management 2021-04-29 15:57:54 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2021-05-25 15:06:38 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.